GET restapi/personal/assignments/{elementId}/answers/{answerId}/files/{fileId}/v1
Download a file attached to an assignment answer. The user must have read access to the answer. The client must follow the redirect to get the file.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| elementId |
The elementId for the assignment, unique in scope of a customer. |
integer |
Required |
| answerId |
The answerId which belongs to the given elementId |
integer |
Required |
| fileId |
The fileId connected to the requested answer. |
integer |
Required |
Body Parameters
None.
Response Information
Resource Description
a Redirect (302) to the file download URL, or 404 if file not found
System.Web.Http.IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.